
Redmine - Defect #18694

Sending Email redmine 2.6.0.

2014-12-22 00:01 - Artsiom Shymanouski

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Hello all

I installed the latest version 2.6.0. A week ago, has worked all right. But now notices aren't sent.

I try sent test email from settings panel: "An email was sent to myname@gmail.com"

usr/share/redmine/log/production.log:

Started GET "/admin/test_email" for 178.125.13.96 at 2014-12-21 22:39:43 +0000

Processing by AdminController#test_email as HTML

Current user: admin (id=8)

Rendered mailer/test_email.text.erb within layouts/mailer (0.1ms)

Rendered mailer/test_email.html.erb within layouts/mailer (0.1ms)

Redirected to http://redmine.mydomain.com/settings?tab=notifications

Completed 302 Found in 1107.6ms (ActiveRecord: 0.3ms)

Started GET "/settings?tab=notifications" for 178.125.13.96 at 2014-12-21 22:39:45 +0000

Processing by SettingsController#index as HTML

Parameters: {"tab"=>"notifications"}

Current user: admin (id=8)

Rendered settings/_general.html.erb (5.1ms)

Rendered settings/_display.html.erb (5.4ms)

Rendered settings/_authentication.html.erb (4.4ms)

Rendered settings/_projects.html.erb (6.4ms)

Rendered queries/_columns.html.erb (3.6ms)

Rendered settings/_issues.html.erb (8.0ms)

Rendered settings/_notifications.html.erb (29.0ms)

Rendered settings/_mail_handler.html.erb (1.5ms)

Rendered settings/_repositories.html.erb (8.7ms)

Rendered common/_tabs.html.erb (73.1ms)

Rendered settings/edit.html.erb within layouts/admin (73.6ms)

Rendered admin/_menu.html.erb (3.7ms)

Rendered layouts/base.html.erb (32.7ms)

Completed 200 OK in 115.1ms (Views: 110.1ms | ActiveRecord: 1.3ms)

../config/configuration.yml:

production:

email_delivery:

delivery_method: :smtp

smtp_settings:

enable_starttls_auto: true

address: "smtp.gmail.com"

port: 587

domain: "mydomain.com"

authentication: :plain

user_name: "support@mydomaincom"

password: "MyPass"

What settings should I check?

History
mailto:myname@gmail.com


#1 - 2014-12-27 15:46 - Krishna Gollamudi

what are your default settings in configuration?

#2 - 2015-01-10 18:36 - Toshi MARUYAMA

- Category set to Email notifications

- Status changed from New to Closed

Please use forum for questions.
